> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Track repairs

> Read every repair a reporter's signed tracking link covers



## OpenAPI

````yaml /openapi.json get /p/:tenant/repair-tracking/{token}
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /p/:tenant/repair-tracking/{token}:
    get:
      tags:
        - maintenance-pro-public
      summary: Track repairs
      description: Read every repair a reporter's signed tracking link covers
      operationId: maintenance-pro-public.trackRepairs
      parameters:
        - name: token
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  agency:
                    type: object
                    properties:
                      name:
                        type: string
                      phone:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - name
                      - phone
                    additionalProperties: false
                  timeZone:
                    type: string
                  firstName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  repairs:
                    type: array
                    items:
                      type: object
                      properties:
                        reference:
                          type: string
                        category:
                          anyOf:
                            - type: string
                            - type: 'null'
                        urgency:
                          type: string
                          enum:
                            - routine
                            - urgent
                            - emergency
                        status:
                          type: string
                        open:
                          type: boolean
                        reportedAt:
                          type: string
                        closedNote:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: 'null'
                            - type: 'null'
                        targetBy:
                          type: string
                        targetLabel:
                          type: string
                        overdue:
                          type: boolean
                        steps:
                          type: array
                          items:
                            type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - reported
                                  - reviewed
                                  - contractor-assigned
                                  - visit-booked
                                  - visit-moved
                                  - visit-cancelled
                                  - on-the-way
                                  - work-done
                                  - closed
                                  - photo-added
                                  - reopened
                                  - note-added
                                  - visit-confirmed
                                  - visit-change-asked
                                  - no-show-reported
                                  - emergency-reported
                                  - feedback-given
                                  - handed-over
                                  - taken-back
                                  - made-safe
                                  - contractor-changed
                                  - another-specialist
                              at:
                                type: string
                            required:
                              - kind
                              - at
                            additionalProperties: false
                        visit:
                          anyOf:
                            - type: object
                              properties:
                                startsAt:
                                  type: string
                                endsAt:
                                  type: string
                              required:
                                - startsAt
                                - endsAt
                              additionalProperties: false
                            - type: 'null'
                        contractor:
                          anyOf:
                            - type: object
                              properties:
                                name:
                                  type: string
                                trade:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - name
                                - trade
                              additionalProperties: false
                            - type: 'null'
                        keysArranged:
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        waiting:
                          anyOf:
                            - type: object
                              properties:
                                reason:
                                  type: string
                                  enum:
                                    - awaiting-review
                                    - awaiting-landlord-approval
                                    - reviewing-quote
                                    - awaiting-contractor
                                    - awaiting-booking
                                    - awaiting-visit
                                    - handed-over
                                    - made-safe
                                    - waiting-for-parts
                                    - finding-contractor
                                    - another-specialist
                                text:
                                  type: string
                              required:
                                - reason
                                - text
                              additionalProperties: false
                            - type: 'null'
                        hazard:
                          anyOf:
                            - type: object
                              properties:
                                level:
                                  type: string
                                  enum:
                                    - emergency
                                    - significant
                                inspectBy:
                                  type: string
                                inspectedAt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                noHazardFound:
                                  type: boolean
                                findingsBy:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                findingsSentAt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                safeBy:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                madeSafeAt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - level
                                - inspectBy
                                - inspectedAt
                                - noHazardFound
                                - findingsBy
                                - findingsSentAt
                                - safeBy
                                - madeSafeAt
                              additionalProperties: false
                            - type: 'null'
                        partsExpectedOn:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: 'null'
                            - type: 'null'
                        photos:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              addedAt:
                                type: string
                            required:
                              - id
                              - name
                              - addedAt
                            additionalProperties: false
                        actions:
                          anyOf:
                            - type: object
                              properties:
                                canAddNote:
                                  type: boolean
                                notesLeft:
                                  anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                canAnswerVisit:
                                  type: boolean
                                visitConfirmed:
                                  type: boolean
                                visitChangeAsked:
                                  type: boolean
                                canReportNoShow:
                                  type: boolean
                                noShowReported:
                                  type: boolean
                                canReportEmergency:
                                  type: boolean
                                canGiveFeedback:
                                  type: boolean
                                feedbackOutcome:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - reopen
                                        - new-repair
                                    - type: 'null'
                                feedback:
                                  anyOf:
                                    - type: object
                                      properties:
                                        fixed:
                                          type: boolean
                                        rating:
                                          anyOf:
                                            - anyOf:
                                                - type: number
                                                - type: string
                                                  enum:
                                                    - Infinity
                                                    - '-Infinity'
                                                    - NaN
                                            - type: 'null'
                                        at:
                                          type: string
                                      required:
                                        - fixed
                                        - rating
                                        - at
                                      additionalProperties: false
                                    - type: 'null'
                                couldNotGetIn:
                                  anyOf:
                                    - anyOf:
                                        - type: object
                                          properties:
                                            visitStartsAt:
                                              type: string
                                            canAsk:
                                              type: boolean
                                            asked:
                                              type: boolean
                                          required:
                                            - visitStartsAt
                                            - canAsk
                                            - asked
                                          additionalProperties: false
                                        - type: 'null'
                                    - type: 'null'
                                notes:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      body:
                                        type: string
                                      at:
                                        type: string
                                    required:
                                      - body
                                      - at
                                    additionalProperties: false
                              required:
                                - canAddNote
                                - notesLeft
                                - canAnswerVisit
                                - visitConfirmed
                                - visitChangeAsked
                                - canReportNoShow
                                - noShowReported
                                - canReportEmergency
                                - canGiveFeedback
                                - feedbackOutcome
                                - feedback
                                - notes
                              additionalProperties: false
                            - type: 'null'
                      required:
                        - reference
                        - category
                        - urgency
                        - status
                        - open
                        - reportedAt
                        - targetBy
                        - targetLabel
                        - overdue
                        - steps
                        - visit
                        - contractor
                        - keysArranged
                        - waiting
                        - hazard
                        - photos
                      additionalProperties: false
                required:
                  - agency
                  - timeZone
                  - firstName
                  - repairs
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound | PublicResourceNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/PublicResourceNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    PublicResourceNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PublicResourceNotFound
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.